// =========  Start of Label.h generated code ==========
#ifndef LABEL_H
#define LABEL_H

//  Label.h from Label by pfodGUIdesigner V1.0.4192
/*
  (c)2022 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

#include <pfodParser.h>
#include <pfodDwgs.h>
#include <pfodDrawing.h>

class Label : public pfodDrawing {
  public:
    Label(pfodParser* parserPtr, pfodDwgs* dwgsPtr);
    bool sendDwg(); // returns is dwg sent else false i.e. not this dwg's loadCmd
    bool processDwgCmds(); // return true if handled else false
    void setText(const char* _text);
    void setTextColor(int color);
    void setTextSize(int _size);

  private:
    void sendFullDrawing(long dwgIdx);
    void sendUpdate();
    void updateDwg();
    void drawDwg0();
    bool forceReload;
    void printDwgCmdReceived(Print* outPtr);
    pfodAutoIdx _update_idx_13;
    char text[35];
    int textColor;
    int size;
};
#endif
// =========  End of Label.h generated code ==========
